你的位置:首页 > 操作系统

[操作系统]Jar mismatch错误的解决

新建了一个项目,包含了两个库:appcompat_v7和swipelistview,结果出现了Jar mismatch错误:

[2016-04-11 17:17:27 - MySwipeListView] Versions found are:[2016-04-11 17:17:27 - MySwipeListView] Path: E:\HZ\MyWorkSpace\swipelistview\libs\android-support-v4.jar[2016-04-11 17:17:27 - MySwipeListView]   Length: 556198[2016-04-11 17:17:27 - MySwipeListView]   SHA-1: 4a6be13368bb64c5a0b0460632d228a1a915f58f[2016-04-11 17:17:27 - MySwipeListView] Path: E:\HZ\MyWorkSpace\MySwipeListView\libs\android-support-v4.jar[2016-04-11 17:17:27 - MySwipeListView]   Length: 1184670[2016-04-11 17:17:27 - MySwipeListView]   SHA-1: fde22d8d2ef6363324a3d79a1dd16c8645c25564[2016-04-11 17:17:27 - MySwipeListView] Path: E:\HZ\MyWorkSpace\appcompat_v7\libs\android-support-v4.jar[2016-04-11 17:17:27 - MySwipeListView]   Length: 1184670[2016-04-11 17:17:27 - MySwipeListView]   SHA-1: fde22d8d2ef6363324a3d79a1dd16c8645c25564[2016-04-11 17:17:27 - MySwipeListView] Jar mismatch! Fix your dependencies

原来是因为appcompat_v7和swipelistview这两个库都包含了android-support-v4.jar这个文件,将swipelistview里面的android-support-v4.jar删除以后就正常了。